Index: stdlib/libstdcpp3.hpp
===================================================================
--- stdlib/libstdcpp3.hpp	(revision 65491)
+++ stdlib/libstdcpp3.hpp	(working copy)
@@ -77,6 +77,14 @@
 # endif
 #endif
 
+
+//
+// to my knowledge if this works as other gcc compilers, it doesnt provides numeric_limits<T>::lowest() until C++0x support is added
+//
+#if !defined(__GXX_EXPERIMENTAL_CXX0X__)
+#  define BOOST_NO_LIMITS_LOWEST
+#endif
+
 //  stdlibc++ C++0x support is detected via __GNUC__, __GNUC_MINOR__, and possibly
 //  __GNUC_PATCHLEVEL__ at the suggestion of Jonathan Wakely, one of the stdlibc++
 //  developers. He also commented:
Index: stdlib/sgi.hpp
===================================================================
--- stdlib/sgi.hpp	(revision 65491)
+++ stdlib/sgi.hpp	(working copy)
@@ -91,6 +91,13 @@
 #endif
 
 //
+// to my knowledge if this works as other gcc compilers, it doesnt provides numeric_limits<T>::lowest() until C++0x support is added
+//
+#if !defined(__GXX_EXPERIMENTAL_CXX0X__)
+#  define BOOST_NO_LIMITS_LOWEST
+#endif
+
+//
 // There is no standard iterator unless we have namespace support:
 //
 #if !defined(__STL_USE_NAMESPACES)
Index: stdlib/stlport.hpp
===================================================================
--- stdlib/stlport.hpp	(revision 65491)
+++ stdlib/stlport.hpp	(working copy)
@@ -24,7 +24,13 @@
 #  define BOOST_NO_LIMITS_COMPILE_TIME_CONSTANTS
 #endif
 
+
 //
+// to my knowledge stlport doesnt provides numeric_limits<T>::lowest()
+//
+#  define BOOST_NO_LIMITS_LOWEST
+
+//
 // If STLport thinks that there is no partial specialisation, then there is no
 // std::iterator traits:
 //
